<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: PMTPlayback Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dbd/class_p_m_t_playback.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">PMTPlayback Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for PMTPlayback:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d4/dbd/class_p_m_t_playback.png" usemap="#PMTPlayback_map" alt=""/>
  <map id="PMTPlayback_map" name="PMTPlayback_map">
<area href="../../d5/d28/class_p_m_t_f.html" alt="PMTF" shape="rect" coords="0,0,90,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa475dc9206bbd2d12e41e44c5b612392"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#aa475dc9206bbd2d12e41e44c5b612392">PMTPlayback</a> ()</td></tr>
<tr class="separator:aa475dc9206bbd2d12e41e44c5b612392"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a824b8ad6f87495579a5355549f13e57b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a824b8ad6f87495579a5355549f13e57b">TestOnePlaying</a> ()</td></tr>
<tr class="separator:a824b8ad6f87495579a5355549f13e57b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a711f4963f45060e6ba93d3885fc480b7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a711f4963f45060e6ba93d3885fc480b7">TestOnePlayingStandAloneAutoDestroy</a> ()</td></tr>
<tr class="separator:a711f4963f45060e6ba93d3885fc480b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6f2387bac3287f9f079bfbe3a6d085e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#aa6f2387bac3287f9f079bfbe3a6d085e">TestOnePlayingStandAlone</a> ()</td></tr>
<tr class="separator:aa6f2387bac3287f9f079bfbe3a6d085e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7801fbf190cdb985ebf303e84821550"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#ac7801fbf190cdb985ebf303e84821550">TestWiggleStress</a> ()</td></tr>
<tr class="separator:ac7801fbf190cdb985ebf303e84821550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a207145c5fcc1cb4ef72064cf203eab3d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a207145c5fcc1cb4ef72064cf203eab3d">TestStopping</a> ()</td></tr>
<tr class="separator:a207145c5fcc1cb4ef72064cf203eab3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7e6c382d221c64d1b619f6546aa2d37"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#af7e6c382d221c64d1b619f6546aa2d37">CheckOnePlaying</a> ()</td></tr>
<tr class="separator:af7e6c382d221c64d1b619f6546aa2d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1930022f466c7302fb17aa33d12e8280"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a1930022f466c7302fb17aa33d12e8280">CheckOnePlayingSAAD</a> ()</td></tr>
<tr class="separator:a1930022f466c7302fb17aa33d12e8280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a439fe063ee98461e5e32cb3cbd057048"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a439fe063ee98461e5e32cb3cbd057048">CheckOnePlayingSA</a> ()</td></tr>
<tr class="separator:a439fe063ee98461e5e32cb3cbd057048"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaea3f3a42fbfcb1aaf05754076021471"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#aaea3f3a42fbfcb1aaf05754076021471">CheckStop</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> dt)</td></tr>
<tr class="separator:aaea3f3a42fbfcb1aaf05754076021471"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae57b0f7b27232e503e999b273491284f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#ae57b0f7b27232e503e999b273491284f">PassOnePlaying</a> (<a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a> p)</td></tr>
<tr class="separator:ae57b0f7b27232e503e999b273491284f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15a63f9c738f59417b75beb3250da2ea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a15a63f9c738f59417b75beb3250da2ea">OnePlayingSAADEnded</a> (<a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a> p)</td></tr>
<tr class="separator:a15a63f9c738f59417b75beb3250da2ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a908bdc644a4d234b9443bae0ea8dc3e8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a908bdc644a4d234b9443bae0ea8dc3e8">OnePlayingSAEnded</a> (<a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a> p)</td></tr>
<tr class="separator:a908bdc644a4d234b9443bae0ea8dc3e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5f1ae6bdedb7e4cab3c7328140b9f89"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#ab5f1ae6bdedb7e4cab3c7328140b9f89">StopEnded</a> (<a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a> p)</td></tr>
<tr class="separator:ab5f1ae6bdedb7e4cab3c7328140b9f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a25fbbcaa4f45b9ead7d62e9073edbd4f"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a25fbbcaa4f45b9ead7d62e9073edbd4f">m_ParticleSources</a> = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a>&gt;()</td></tr>
<tr class="separator:a25fbbcaa4f45b9ead7d62e9073edbd4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1100a27fd317a0bea80fb74cd399961"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#af1100a27fd317a0bea80fb74cd399961">m_OnePlayingManagerID</a></td></tr>
<tr class="separator:af1100a27fd317a0bea80fb74cd399961"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5274fe75b3ecaeaa3da7d42ea24e0ff7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a5274fe75b3ecaeaa3da7d42ea24e0ff7">m_bOnePlayingTestSuccess</a> = false</td></tr>
<tr class="separator:a5274fe75b3ecaeaa3da7d42ea24e0ff7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a966e02891856112ac35ed2f3161029b3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a966e02891856112ac35ed2f3161029b3">m_OnePlayingSAADPSID</a></td></tr>
<tr class="separator:a966e02891856112ac35ed2f3161029b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b67feaa05a080f12b5083dea746a5f1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a8b67feaa05a080f12b5083dea746a5f1">m_bOnePlayingSAADEnded</a> = false</td></tr>
<tr class="separator:a8b67feaa05a080f12b5083dea746a5f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abacd2a2cc94b8675ae4ec43be0dd0f8e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#abacd2a2cc94b8675ae4ec43be0dd0f8e">m_OnePlayingSAPSID</a></td></tr>
<tr class="separator:abacd2a2cc94b8675ae4ec43be0dd0f8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd077be6f1934d13051a9999c0c0dcbe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#abd077be6f1934d13051a9999c0c0dcbe">m_bOnePlayingSAEnded</a> = false</td></tr>
<tr class="separator:abd077be6f1934d13051a9999c0c0dcbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a3c01261d871686515a76abe77da3f9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a0a3c01261d871686515a76abe77da3f9">m_StopPSID</a></td></tr>
<tr class="separator:a0a3c01261d871686515a76abe77da3f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab43bf38353aadd88ac8f9010154a0322"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#ab43bf38353aadd88ac8f9010154a0322">m_StopAccumulatedTime</a></td></tr>
<tr class="separator:ab43bf38353aadd88ac8f9010154a0322"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af808056b33fee43d5b568443f53897f6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#af808056b33fee43d5b568443f53897f6">m_bStopWasStopped</a> = false</td></tr>
<tr class="separator:af808056b33fee43d5b568443f53897f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfc6f2f20cd98e74e66de451125569e2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#adfc6f2f20cd98e74e66de451125569e2">m_bStopWasResumed</a> = false</td></tr>
<tr class="separator:adfc6f2f20cd98e74e66de451125569e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55835e21d93f88e6dc9874efe3c392d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a55835e21d93f88e6dc9874efe3c392d5">m_bStopEnded</a> = false</td></tr>
<tr class="separator:a55835e21d93f88e6dc9874efe3c392d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a9961be03459fdbabfe4c44351799b15e"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#a9961be03459fdbabfe4c44351799b15e">STOP_ACCUMULATED_TIME_STOP_CUTOFF</a> = 2</td></tr>
<tr class="separator:a9961be03459fdbabfe4c44351799b15e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5cc8dded5d030f6cc8defd98db9aeeb"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html#ae5cc8dded5d030f6cc8defd98db9aeeb">STOP_ACCUMULATED_TIME_PLAY_CUTOFF</a> = 3</td></tr>
<tr class="separator:ae5cc8dded5d030f6cc8defd98db9aeeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00001">1</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa475dc9206bbd2d12e41e44c5b612392" name="aa475dc9206bbd2d12e41e44c5b612392"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa475dc9206bbd2d12e41e44c5b612392">&#9670;&#160;</a></span>PMTPlayback()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PMTPlayback::PMTPlayback </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00029">29</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af7e6c382d221c64d1b619f6546aa2d37" name="af7e6c382d221c64d1b619f6546aa2d37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7e6c382d221c64d1b619f6546aa2d37">&#9670;&#160;</a></span>CheckOnePlaying()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> PMTPlayback::CheckOnePlaying </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00123">123</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a439fe063ee98461e5e32cb3cbd057048" name="a439fe063ee98461e5e32cb3cbd057048"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a439fe063ee98461e5e32cb3cbd057048">&#9670;&#160;</a></span>CheckOnePlayingSA()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> PMTPlayback::CheckOnePlayingSA </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00190">190</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a1930022f466c7302fb17aa33d12e8280" name="a1930022f466c7302fb17aa33d12e8280"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1930022f466c7302fb17aa33d12e8280">&#9670;&#160;</a></span>CheckOnePlayingSAAD()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> PMTPlayback::CheckOnePlayingSAAD </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00152">152</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="aaea3f3a42fbfcb1aaf05754076021471" name="aaea3f3a42fbfcb1aaf05754076021471"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaea3f3a42fbfcb1aaf05754076021471">&#9670;&#160;</a></span>CheckStop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> PMTPlayback::CheckStop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00222">222</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a15a63f9c738f59417b75beb3250da2ea" name="a15a63f9c738f59417b75beb3250da2ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15a63f9c738f59417b75beb3250da2ea">&#9670;&#160;</a></span>OnePlayingSAADEnded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PMTPlayback::OnePlayingSAADEnded </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00288">288</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a908bdc644a4d234b9443bae0ea8dc3e8" name="a908bdc644a4d234b9443bae0ea8dc3e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a908bdc644a4d234b9443bae0ea8dc3e8">&#9670;&#160;</a></span>OnePlayingSAEnded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PMTPlayback::OnePlayingSAEnded </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00294">294</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="ae57b0f7b27232e503e999b273491284f" name="ae57b0f7b27232e503e999b273491284f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae57b0f7b27232e503e999b273491284f">&#9670;&#160;</a></span>PassOnePlaying()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PMTPlayback::PassOnePlaying </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00280">280</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="ab5f1ae6bdedb7e4cab3c7328140b9f89" name="ab5f1ae6bdedb7e4cab3c7328140b9f89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5f1ae6bdedb7e4cab3c7328140b9f89">&#9670;&#160;</a></span>StopEnded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PMTPlayback::StopEnded </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00300">300</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a824b8ad6f87495579a5355549f13e57b" name="a824b8ad6f87495579a5355549f13e57b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a824b8ad6f87495579a5355549f13e57b">&#9670;&#160;</a></span>TestOnePlaying()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> PMTPlayback::TestOnePlaying </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00042">42</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="aa6f2387bac3287f9f079bfbe3a6d085e" name="aa6f2387bac3287f9f079bfbe3a6d085e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6f2387bac3287f9f079bfbe3a6d085e">&#9670;&#160;</a></span>TestOnePlayingStandAlone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> PMTPlayback::TestOnePlayingStandAlone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00075">75</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a711f4963f45060e6ba93d3885fc480b7" name="a711f4963f45060e6ba93d3885fc480b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a711f4963f45060e6ba93d3885fc480b7">&#9670;&#160;</a></span>TestOnePlayingStandAloneAutoDestroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> PMTPlayback::TestOnePlayingStandAloneAutoDestroy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00059">59</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a207145c5fcc1cb4ef72064cf203eab3d" name="a207145c5fcc1cb4ef72064cf203eab3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a207145c5fcc1cb4ef72064cf203eab3d">&#9670;&#160;</a></span>TestStopping()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> PMTPlayback::TestStopping </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00104">104</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="ac7801fbf190cdb985ebf303e84821550" name="ac7801fbf190cdb985ebf303e84821550"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7801fbf190cdb985ebf303e84821550">&#9670;&#160;</a></span>TestWiggleStress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dc4/_test_framework_8c.html#a85146d0ecb62630b6c6d17ac798fb4e2">TFResult</a> PMTPlayback::TestWiggleStress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00092">92</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a8b67feaa05a080f12b5083dea746a5f1" name="a8b67feaa05a080f12b5083dea746a5f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b67feaa05a080f12b5083dea746a5f1">&#9670;&#160;</a></span>m_bOnePlayingSAADEnded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> PMTPlayback::m_bOnePlayingSAADEnded = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00011">11</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="abd077be6f1934d13051a9999c0c0dcbe" name="abd077be6f1934d13051a9999c0c0dcbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd077be6f1934d13051a9999c0c0dcbe">&#9670;&#160;</a></span>m_bOnePlayingSAEnded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> PMTPlayback::m_bOnePlayingSAEnded = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00015">15</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a5274fe75b3ecaeaa3da7d42ea24e0ff7" name="a5274fe75b3ecaeaa3da7d42ea24e0ff7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5274fe75b3ecaeaa3da7d42ea24e0ff7">&#9670;&#160;</a></span>m_bOnePlayingTestSuccess</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> PMTPlayback::m_bOnePlayingTestSuccess = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00007">7</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a55835e21d93f88e6dc9874efe3c392d5" name="a55835e21d93f88e6dc9874efe3c392d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55835e21d93f88e6dc9874efe3c392d5">&#9670;&#160;</a></span>m_bStopEnded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> PMTPlayback::m_bStopEnded = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00024">24</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="adfc6f2f20cd98e74e66de451125569e2" name="adfc6f2f20cd98e74e66de451125569e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfc6f2f20cd98e74e66de451125569e2">&#9670;&#160;</a></span>m_bStopWasResumed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> PMTPlayback::m_bStopWasResumed = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00023">23</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="af808056b33fee43d5b568443f53897f6" name="af808056b33fee43d5b568443f53897f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af808056b33fee43d5b568443f53897f6">&#9670;&#160;</a></span>m_bStopWasStopped</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> PMTPlayback::m_bStopWasStopped = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00022">22</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="af1100a27fd317a0bea80fb74cd399961" name="af1100a27fd317a0bea80fb74cd399961"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1100a27fd317a0bea80fb74cd399961">&#9670;&#160;</a></span>m_OnePlayingManagerID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PMTPlayback::m_OnePlayingManagerID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00006">6</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a966e02891856112ac35ed2f3161029b3" name="a966e02891856112ac35ed2f3161029b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a966e02891856112ac35ed2f3161029b3">&#9670;&#160;</a></span>m_OnePlayingSAADPSID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PMTPlayback::m_OnePlayingSAADPSID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00010">10</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="abacd2a2cc94b8675ae4ec43be0dd0f8e" name="abacd2a2cc94b8675ae4ec43be0dd0f8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abacd2a2cc94b8675ae4ec43be0dd0f8e">&#9670;&#160;</a></span>m_OnePlayingSAPSID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PMTPlayback::m_OnePlayingSAPSID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00014">14</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a25fbbcaa4f45b9ead7d62e9073edbd4f" name="a25fbbcaa4f45b9ead7d62e9073edbd4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25fbbcaa4f45b9ead7d62e9073edbd4f">&#9670;&#160;</a></span>m_ParticleSources</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a>&gt; PMTPlayback::m_ParticleSources = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a>&gt;()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00003">3</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="ab43bf38353aadd88ac8f9010154a0322" name="ab43bf38353aadd88ac8f9010154a0322"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab43bf38353aadd88ac8f9010154a0322">&#9670;&#160;</a></span>m_StopAccumulatedTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> PMTPlayback::m_StopAccumulatedTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00019">19</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a0a3c01261d871686515a76abe77da3f9" name="a0a3c01261d871686515a76abe77da3f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a3c01261d871686515a76abe77da3f9">&#9670;&#160;</a></span>m_StopPSID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PMTPlayback::m_StopPSID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00018">18</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="ae5cc8dded5d030f6cc8defd98db9aeeb" name="ae5cc8dded5d030f6cc8defd98db9aeeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5cc8dded5d030f6cc8defd98db9aeeb">&#9670;&#160;</a></span>STOP_ACCUMULATED_TIME_PLAY_CUTOFF</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> PMTPlayback::STOP_ACCUMULATED_TIME_PLAY_CUTOFF = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00021">21</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<a id="a9961be03459fdbabfe4c44351799b15e" name="a9961be03459fdbabfe4c44351799b15e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9961be03459fdbabfe4c44351799b15e">&#9670;&#160;</a></span>STOP_ACCUMULATED_TIME_STOP_CUTOFF</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> PMTPlayback::STOP_ACCUMULATED_TIME_STOP_CUTOFF = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html#l00020">20</a> of file <a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Particles/Tests/<a class="el" href="../../df/dec/_p_m_t_playback_8c_source.html">PMTPlayback.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/dbd/class_p_m_t_playback.html">PMTPlayback</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
